GCLOUD_COMPUTE_ROUTERS_ADD-BGP-PEER(1)

NAME

gcloud compute routers add-bgp-peer - add a BGP peer to a Google Compute Engine router

SYNOPSIS

gcloud compute routers add-bgp-peer NAME --interface=INTERFACE --peer-asn=PEER_ASN --peer-name=PEER_NAME [--advertised-route-priority=ADVERTISED_ROUTE_PRIORITY] [--peer-ip-address=PEER_IP_ADDRESS] [--region=REGION] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute routers add-bgp-peer is used to add a BGP peer to a Google Compute Engine router.

POSITIONAL ARGUMENTS

    NAME
        The name of the router to update.

REQUIRED FLAGS

    --interface=INTERFACE
        The name of the interface for this BGP peer.

    --peer-asn=PEER_ASN
        The BGP autonomous system number (ASN) for this BGP peer. For more information see: https://tools.ietf.org/html/rfc6996.

    --peer-name=PEER_NAME
        The name of the new BGP peer being added.

OPTIONAL FLAGS

    --advertised-route-priority=ADVERTISED_ROUTE_PRIORITY
        The priority of routes advertised to this BGP peer. In the case where there is more than one matching route of maximum length, the routes with lowest priority value win. 0 <= priority <= 65535. If not specified, will use Google-managed priorities.

    --peer-ip-address=PEER_IP_ADDRESS
        The link-local address of the peer router. Must be a link-local IPv4 address belonging to the range 169.254.0.0/16.

    --region=REGION
        The region of the router to update. If not specified, you will be prompted to select a region. To avoid prompting when this flag is omitted, you can set the compute/region property:
        $ gcloud config set compute/region REGION
    A list of regions can be fetched by running:
        $ gcloud compute regions list
    To unset the property, run:
        $ gcloud config unset compute/region
    Alternatively, the region can be stored in the environment variable CLOUDSDK_COMPUTE_REGION.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.